#!/bin/bash
ENTRY=0x40800000
LOAD_ADR=0x40800000

FILE=$1
rm -f $FILE.*
sparc-elf-strip -s -o $FILE.stripped $FILE
gzip -9 $FILE.stripped
tools/mkimage -A sparc -O vxworks -T kernel -C gzip -a ${LOAD_ADR} -e ${ENTRY} -n 'SPARC/LEON VxWorks-6.5' -d $FILE.stripped.gz $FILE.uImg
