#!/bin/bash
IN=u-boot
OUT=u-boot-reloc

#MEM     = 0x40000000
#SIZE    = 0x01000000
#RESV    = 0x00720000
#RESV    = 0x00b20000

#END = `expr $MEM + $SIZE`



if [ -z "$1" ]; then 
  ADR=0x47f8e000  # FLASH
#  ADR=0x03f8e000 # RAM
  
#  ADR=0x43f8e000 # 64 Mb memory
#  ADR=0x41f8e000 # 32 Mb memory 
#  ADR=0x40f8e000 # 16 Mb memory 
#  ADR=0x4038e000 # 4 Mb memory
#  ADR=0x01f8e000
#  ADR=0x0038e000
#  ADR=0x0078e000
#  ADR=0x0074e000
  
else
  ADR=$1
fi

sparc-elf-objcopy \
  --change-section-address .text+$ADR \
  --change-section-address .u_boot_cmd+$ADR \
  --change-section-address .data+$ADR \
  --change-section-address .got+$ADR \
  --change-section-address .bss+$ADR \
  $IN $OUT

sparc-elf-objdump -S $OUT > $OUT.S
sparc-elf-objdump -S $IN > $IN.S
